package main

import (
	"flag"
	"testing"
)

var (
	in         = flag.String(locodeGenerateInputFlag, "", "List of paths to UN/LOCODE tables (csv)")
	subdiv     = flag.String(locodeGenerateSubDivFlag, "", "Path to UN/LOCODE subdivision database (csv)")
	airports   = flag.String(locodeGenerateAirportsFlag, "", "Path to OpenFlights airport database (csv)")
	countries  = flag.String(locodeGenerateCountriesFlag, "", "Path to OpenFlights country database (csv)")
	continents = flag.String(locodeGenerateContinentsFlag, "", "Path to continent polygons (GeoJSON)")
	out        = flag.String(locodeGenerateOutputFlag, "", "Target path for generated database")
)

func BenchmarkLocodeGenerate(b *testing.B) {
	locodeGenerateInPaths = append(locodeGenerateInPaths, *in)
	locodeGenerateSubDivPath = *subdiv
	locodeGenerateAirportsPath = *airports
	locodeGenerateCountriesPath = *countries
	locodeGenerateContinentsPath = *continents
	locodeGenerateOutPath = *out

	b.ResetTimer()

	for i := 0; i < b.N; i++ {
		locodeGenerateCmd.Run(locodeGenerateCmd, []string{})
	}
}
